<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCoupansTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: coupans
         */
        Schema::create('coupans', function ($table) {
            $table->increments('id');
            $table->text('offered_by')->nullable();
            $table->text('coupan_type')->nullable();
            $table->text('coupan_code')->nullable();
            $table->text('description')->nullable();
            $table->text('amount')->nullable();
            $table->text('status')->nullable();
            $table->text('product_ids')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('coupans');
    }
}
