<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for coupan in coupan package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  coupan module in coupan package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Coupan',
    'names'         => 'Coupans',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Coupans',
        'sub'   => 'Coupans',
        'list'  => 'List of coupans',
        'edit'  => 'Edit coupan',
        'create'    => 'Create new coupan'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'offered_by'                 => 'Offered By',
        'coupan_type'                => 'Coupan Type',
        'coupan_code'                => 'Coupan Code',
        'description'                => 'Description',
        'amount'                     => 'Amount',
        'status'                     => 'Status',
        'product_ids'                => 'Product Id',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'offered_by'                 => 'Offered By',
        'coupan_type'                => 'Coupan Type',
        'coupan_code'                => 'Coupan Code',
        'description'                => 'Description',
        'amount'                     => 'Amount',
        'status'                     => 'Status',
        'product_ids'                => 'Product Id',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'offered_by'                 => ['name' => 'Offered By', 'data-column' => 1, 'checked'],
        'coupan_type'                => ['name' => 'Coupan Type', 'data-column' => 2, 'checked'],
        'coupan_code'                => ['name' => 'Coupan Code', 'data-column' => 3, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 4, 'checked'],
        'amount'                     => ['name' => 'Amount', 'data-column' => 5, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 6, 'checked'],
        'product_ids'                => ['name' => 'Product Id', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Coupans',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
